ad_cvar_max_att 3 // число попыток прочитать\установить квар перед наказанием

//ad_cvar_add <level> <flags> <cvar> <min> <max>
// level - the same (for punishment)
// flags:
// 1 = just get
// 2 = check value
// 4 = try to set maximum
// cvar - value to check
// <min> and <max> valuse (only integer)
// 1+2 = 3 get and check
// 2 is also get and check :)
// 7 get, check, try to change if wrong

//ad_cvar_add 1 7 rate 10000 100000
//ad_cvar_add 1 7 cl_minmodels 0 0
//ad_cvar_add 1 1 name 0 0

ac_set_cvar_punish 1 "ad_cvar_add_warn %userid% 1"
ac_set_cvar_punish 2 "ad_cvar_add_warn %userid% 2"
ac_set_cvar_punish 3 "kick %userid% Wrong CVar values"


// 9999 используется для наказания за превышение числа предупреждений.
ac_set_cvar_punish 9999 "kick %userid% Wrong CVars"

//ad_cvar_add_warn <#userid> <warns to add> используется для того чтобы добавить варнингов.
//Допустим мы не хотим кикать за кривую настройку rate но если кривые и rate и cl_minmodels то мы хотим кикать.
//Соотвественно накидываем варнинги, за разные квары варнинги суммируются в итоге получается наказание